<?php
ini_set("display_errors", 0);
error_reporting(0);

/* SHOW FUNCTIONS (jtcms_show.php & jtcms_show_menu.php) */

function show_content($obsah) {
  if (preg_match("/\[jtcms_gallery\=([1-9][0-9]*)\]/", $obsah)) {
    
    preg_match_all("/\[jtcms_gallery\=([1-9][0-9]*)\]/", $obsah, $vystup);
    
    $query = mysql_query("SELECT hodnota, hodnota2 FROM jtcms_nastaveni WHERE typ='galerie_nahled' LIMIT 1");
    $result = mysql_fetch_array($query);  
      $sirka = $result['hodnota'];
      $vyska = $result['hodnota2'];
    
    for ($c = 0; $c < count($vystup[1]); $c++) {
      $id = $vystup[1][$c];
      $adresar = opendir("./admin/data/gal/".$id);
      $kod = "";
        while ($soubor = readdir($adresar)){
          if ($soubor != "." && $soubor != ".." && is_file("./admin/data/gal/".$id."/".$soubor)) {       
            include "admin/stuff/templates/template_11.php";
          };
        };
    
      $obsah = str_replace("[jtcms_gallery=".$id."]", $kod, $obsah);
    };
    
    echo $obsah;
    
  } else {
    echo $obsah;
  };
}

function clean_rss_text($text) {
  global $znakova_sada;
  
    return strip_tags(html_entity_decode(preg_replace('~&(lt|gt|amp);~', '&amp;\\1;', $text), ENT_NOQUOTES, $znakova_sada));
}
?>
